CompilePhaseAdapter (Groovy 5.0.8)

Package: groovy.console.ui

## [Groovy] Enum CompilePhaseAdapter

- groovy.console.ui.CompilePhaseAdapter

-     @CompileStatic
      enum CompilePhaseAdapter
      extends Enum

  An adapter for the CompilePhase enum that can be entered into a Swing combobox.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CANONICALIZATION` |
    `CLASS_GENERATION` |
    `CONVERSION` |
    `FINALIZATION` |
    `INITIALIZATION` |
    `INSTRUCTION_SELECTION` |
    `OUTPUT` |
    `PARSING` |
    `SEMANTIC_ANALYSIS` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CompilePhaseAdapter` | `MAX_VALUE` |
    `static CompilePhaseAdapter` | `MIN_VALUE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `phaseId`
    `String` | `string`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CompilePhaseAdapter CANONICALIZATION

    - #### CompilePhaseAdapter CLASS_GENERATION

    - #### CompilePhaseAdapter CONVERSION

    - #### CompilePhaseAdapter FINALIZATION

    - #### CompilePhaseAdapter INITIALIZATION

    - #### CompilePhaseAdapter INSTRUCTION_SELECTION

    - #### CompilePhaseAdapter OUTPUT

    - #### CompilePhaseAdapter PARSING

    - #### CompilePhaseAdapter SEMANTIC_ANALYSIS

  - ### Field Detail

    - #### public static final CompilePhaseAdapter MAX_VALUE

    - #### public static final CompilePhaseAdapter MIN_VALUE

  - ### Property Detail

    - #### final int phaseId

    - #### final String string

  - ### Method Detail

    - #### String toString()